export interface EChartsOptions {
    title?: Object;
    legend?: Object;
    grid?: Object;
    xAxis?: Object;
    yAxis?: Object;
    polar?: Object;
    radiusAxis?: Object;
    angleAxis?: Object;
    radar?: Object;
    dataZoom?: Array<Object>;
    visualMap?: Object | Array<Object>;
    tooltip?: Object;
    axisPointer?: Object;
    toolbox?: Object;
    brush?: Object;
    geo?: Object;
    parallel?: Object;
    parallelAxis?: Object;
    singleAxis?: Object;
    timeline?: Object;
    graphic?: Object | Array<Object>;
    calendar?: Object;
    series?: Array<Object>;
    color?: Array<any>;
    backgroundColor?: string;
    textStyle?: Object;
    animation?: boolean;
    animationThreshold?: number;
    animationDuration?: number | Function;
    animationEasing?: string;
    animationDelay?: number | Function;
    animationDurationUpdate?: number | Function;
    animationEasingUpdate?: string;
    animationDelayUpdate?: number | Function;
    progressive?: number;
    progressiveThreshold?: number;
    blendMode?: string;
    hoverLayerThreshold?: number;
    useUTC?: boolean;
}
