import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare const CHECKBOX_VAL_ACCESSOR: any;
export declare class CheckboxGroupComponent implements OnInit, ControlValueAccessor {
    _checked: boolean;
    _disabled: boolean;
    _options: Array<any>;
    disabled: boolean;
    onChange: Function;
    onTouched: Function;
    _optionChange(): void;
    constructor();
    writeValue(val: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    ngOnInit(): void;
}
