import { OnInit, Renderer2, EventEmitter, SimpleChanges, OnChanges } from '@angular/core';
import { Http } from '@angular/http';
import { DropDownService } from './dropdown.service';
export declare class DropDownComponent implements OnInit, OnChanges {
    renderer: Renderer2;
    _http: Http;
    _ob: DropDownService;
    _isToggle: boolean;
    _isMouseDown: boolean;
    messages: any;
    title: string;
    addText: string;
    _flagTouch_del: boolean;
    _flagTouch_add: boolean;
    _flagTouch_reserve: boolean;
    _flagTouch_default: boolean;
    options: any;
    searchMessage: Object[];
    uploadMessage: EventEmitter<any>;
    addMessage: EventEmitter<any>;
    delMessage: EventEmitter<any>;
    defaultMessage: EventEmitter<any>;
    constructor(renderer: Renderer2, _http: Http, _ob: DropDownService);
    ngOnInit(): void;
    ngOnChanges(options: SimpleChanges): void;
    editItem(event: any, index: any): void;
    delItem(event: any, index: any): void;
    reserveItem(event: any, index: any): void;
    addItem(): void;
    defaultItem(event: any, index: any): void;
}
