import { ElementRef, EventEmitter, AfterViewInit, OnDestroy, DoCheck, KeyValueDiffers, KeyValueDiffer } from '@angular/core';
import { JqGridService } from './grid.service';
export declare class JqGridComponent implements AfterViewInit, OnDestroy, DoCheck {
    gird: JqGridService;
    private elementRef;
    private differs;
    private interfaceOptions;
    private functionOptions;
    private eventOptions;
    private inputData;
    dataDiffer: KeyValueDiffer<{}, {}>;
    data: any;
    colModel: Array<Object>;
    viewrecords?: boolean;
    rownumbers?: boolean;
    rownumWidth?: number;
    altRows?: boolean;
    caption?: string;
    hidegrid?: boolean;
    hiddengrid?: boolean;
    rowNum?: number;
    rowList?: Array<number>;
    sortname?: string;
    sortorder?: string;
    multiSort?: boolean;
    forceFit?: boolean;
    grouping?: boolean;
    groupingView?: Object;
    shrinkToFit?: boolean;
    autowidth?: boolean;
    width?: number;
    colNames?: Array<any>;
    deselectAfterSort?: boolean;
    height?: any;
    page?: number;
    pgbuttons?: boolean;
    pginput?: boolean;
    hidePagerBar?: boolean;
    url?: string;
    mtype?: string;
    datatype?: string;
    jsonReader?: Object;
    editurl?: string;
    loadonce?: boolean;
    groupHeaders?: Array<Object>;
    showFiltertoolBar?: boolean;
    toolBarSettings?: Object;
    flozenColums?: boolean;
    rightClickRow: EventEmitter<any>;
    dblClickRow: EventEmitter<any>;
    clickCell: EventEmitter<any>;
    paging: EventEmitter<any>;
    beforeSelectRow: EventEmitter<any>;
    afterInsertRow: EventEmitter<any>;
    beforeRequest: EventEmitter<any>;
    gridComplete: EventEmitter<any>;
    loadComplete: EventEmitter<any>;
    loadError: EventEmitter<any>;
    jqGridTable: ElementRef;
    jqGridPager: ElementRef;
    constructor(gird: JqGridService, elementRef: ElementRef, differs: KeyValueDiffers);
    ngAfterViewInit(): void;
    ngDoCheck(): void;
    ngOnDestroy(): void;
}
