import { OnInit, OnChanges, SimpleChanges, EventEmitter, ElementRef, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { ChineseToPinyinService } from './../core/service/chineseToPinyin.service';
export declare class SelectComponent implements OnInit, OnChanges, ControlValueAccessor {
    private _elementRef;
    private _renderer;
    private ctp;
    _prefixCls: string;
    _el: HTMLElement;
    _isload: boolean;
    _isOpen: boolean;
    _size: string;
    _triggerWidth: number;
    antSelectValue: any[];
    onChange: any;
    onTouched: any;
    _placeholder: string;
    _selecteOptions: any[];
    _tagsOptions: any[];
    filterSpecificOption: Object[];
    _total: number;
    curNum: number;
    _NotFoundContent: string;
    options: Object[];
    searchText: string;
    _mode: boolean;
    _containerElement: HTMLElement;
    _antLabel: string;
    _antValue: string;
    _antWidth: string;
    _searchPlaceholder: string;
    private searchSource;
    _selectDom: ElementRef;
    _rootEl: ElementRef;
    afterSelect: EventEmitter<any>;
    antploceholder: string;
    antLabel: string;
    antWidth: number;
    antValue: string;
    antSearchPlaceholder: string;
    antNotFoundContent: string;
    antSize: string;
    antMode: 'multiple' | 'single';
    selecteOptions: Object[];
    onClick(btn: Event): void;
    /**
     * 双向绑定，接收数据
     */
    writeValue(value: string[]): void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    constructor(_elementRef: ElementRef, _renderer: Renderer2, ctp: ChineseToPinyinService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * 是否显示下拉
     * @memberof SelectComponent
     */
    isSelect(e: any): void;
    setClassMap(): void;
    removeClass(): void;
    /**
     * 删除
     */
    unSelectMultipleOption(option: any, $event?: any): void;
    /**
     * 选择
     */
    clickOption(option: any, $event?: any): void;
    clearSelect(e: any): void;
    total(): void;
    filterData(): void;
    pageNext(): void;
    pageLess(): void;
    /**
     * 搜索
     */
    _searchData(text: any): void;
    resetTagsOptions(): void;
    isInSet(arr: any, option: any): any;
    _backdropClick(): void;
    protected _removeBackdrop(): void;
    screenData(text: any): any[];
}
