import { OnInit, AfterViewInit, QueryList, Renderer } from '@angular/core';
export declare class StepsComponent implements OnInit, AfterViewInit {
    renderer: Renderer;
    protected _current: number;
    protected _status: string;
    model: Array<any>;
    /**指定当前步骤，从 0 开始记数。在子 Step 元素中，可以通过 status 属性覆盖状态*/
    current: any;
    /**	指定当前步骤的状态，可选 wait process finish error,default:process*/
    status: string;
    /**指定大小，目前支持普通（default）和迷你（small）*/
    direction: string;
    /**指定步骤条方向。目前支持水平（horizontal）和竖直（vertical）两种方向*/
    size: string;
    /**点状步骤条，可以设置为一个 function*/
    progressDot: boolean;
    stepItems: QueryList<any>;
    constructor(renderer: Renderer);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    setStyle(el: any, obj: Object): void;
}
