import { EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { DataThDirective } from '../directives/data-th.directive';
export declare class DataTableSortComponent implements OnInit {
    private dataThDirective;
    private _renderer;
    _value: any;
    /**
     * 改变排序方向时触发事件
     */
    sortValueChange: EventEmitter<any>;
    /**
     * 设置排序方向，ascend-升序，descend-降序
     * @readonly
     * @memberof DataTableSortComponent
     */
    sortValue: string;
    _setValue(value: string): void;
    constructor(dataThDirective: DataThDirective, _renderer: Renderer2);
    ngOnInit(): void;
}
