/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { Component, Input, Output, HostListener, HostBinding, EventEmitter, } from "@angular/core";
export class RowExpandIconComponent {
    constructor() {
        this.isExpand = false;
        this.isShowExpand = false;
        this.isExpandChange = new EventEmitter();
        this._expandIcon = true;
    }
    /**
     * @return {?}
     */
    get expanded() {
        return this.isExpand && !this.isShowExpand;
    }
    /**
     * @return {?}
     */
    get collapsed() {
        return !this.isExpand && !this.isShowExpand;
    }
    /**
     * @return {?}
     */
    onClick() {
        this.isExpand = !this.isExpand;
        this.isExpandChange.emit(this.isExpand);
    }
}
RowExpandIconComponent.decorators = [
    { type: Component, args: [{
                selector: 'bui-row-expand-icon',
                template: ``
            },] },
];
/** @nocollapse */
RowExpandIconComponent.ctorParameters = () => [];
RowExpandIconComponent.propDecorators = {
    "isExpand": [{ type: Input },],
    "isShowExpand": [{ type: Input }, { type: HostBinding, args: ['class.ant-table-row-spaced',] },],
    "isExpandChange": [{ type: Output },],
    "expanded": [{ type: HostBinding, args: [`class.ant-table-row-expanded`,] },],
    "collapsed": [{ type: HostBinding, args: [`class.ant-table-row-collapsed`,] },],
    "_expandIcon": [{ type: HostBinding, args: [`class.ant-table-row-expand-icon`,] },],
    "onClick": [{ type: HostListener, args: ['click',] },],
};
function RowExpandIconComponent_tsickle_Closure_declarations() {
    /** @type {!Array<{type: !Function, args: (undefined|!Array<?>)}>} */
    RowExpandIconComponent.decorators;
    /**
     * @nocollapse
     * @type {function(): !Array<(null|{type: ?, decorators: (undefined|!Array<{type: !Function, args: (undefined|!Array<?>)}>)})>}
     */
    RowExpandIconComponent.ctorParameters;
    /** @type {!Object<string,!Array<{type: !Function, args: (undefined|!Array<?>)}>>} */
    RowExpandIconComponent.propDecorators;
    /** @type {?} */
    RowExpandIconComponent.prototype.isExpand;
    /** @type {?} */
    RowExpandIconComponent.prototype.isShowExpand;
    /** @type {?} */
    RowExpandIconComponent.prototype.isExpandChange;
    /** @type {?} */
    RowExpandIconComponent.prototype._expandIcon;
}
//# sourceMappingURL=row-expand-icon.component.js.map