import { OnChanges, OnDestroy, ElementRef, EventEmitter, SimpleChanges, OnInit } from '@angular/core';
import { Subscription } from 'rxjs/Subscription';
export declare class DraggbleDirective implements OnDestroy, OnChanges, OnInit {
    dragEventTarget: any;
    dragModel: any;
    dragX: boolean;
    dragY: boolean;
    dragStart: EventEmitter<{}>;
    dragging: EventEmitter<{}>;
    dragEnd: EventEmitter<{}>;
    _element: HTMLElement;
    isDragging: boolean;
    subscription: Subscription;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    onMousedown(event: MouseEvent): void;
    onMouseup(event: MouseEvent): void;
    move(event: MouseEvent, mouseDownPos: {
        x: number;
        y: number;
    }): void;
    private _destroySubscription();
}
