import { ElementRef, EventEmitter, AfterViewInit, OnDestroy, NgZone } from '@angular/core';
import { EChartsOptions } from './echarts-options';
import { EChartsService } from './echarts.service';
export declare class BgEChartsComponent implements AfterViewInit, OnDestroy {
    private el;
    private ngZone;
    private ecs;
    private echarts;
    private _eCharts;
    private _option;
    private _gourp;
    private currentWindowWidth;
    style: any;
    theme: Object | string;
    option: EChartsOptions;
    group: string;
    onBeforeInit: EventEmitter<any>;
    onAfterInit: EventEmitter<any>;
    onOptionChange: EventEmitter<any>;
    chartClick: EventEmitter<any>;
    chartDblClick: EventEmitter<any>;
    chartMouseDown: EventEmitter<any>;
    chartMouseUp: EventEmitter<any>;
    chartMouseOver: EventEmitter<any>;
    chartMouseOut: EventEmitter<any>;
    chartGlobalOut: EventEmitter<any>;
    chartContextMenu: EventEmitter<any>;
    chartDataZoom: EventEmitter<any>;
    host: ElementRef;
    private setGroup();
    init(): void;
    onWindowResize(event: any): void;
    connect(group: string): void;
    disconnect(group: string): void;
    dispose(): void;
    private registerEvents(eCharts);
    constructor(el: ElementRef, ngZone: NgZone, ecs: EChartsService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
