import { OnInit, OnDestroy, ElementRef } from '@angular/core';
import 'rxjs/add/observable/fromEvent';
import 'rxjs/add/operator/debounceTime';
export declare class ButtonComponent implements OnInit, OnDestroy {
    private _element;
    _size: string;
    _loading: string;
    _icon: string | boolean;
    clicking: string;
    _disabled: boolean;
    type: string;
    size: string;
    ghost: string;
    shape: string;
    /**
     * value 可能的值 boolean / { delay: number }
     * @memberof ButtonComponent
     */
    loading: any;
    disabled: any;
    icon: any;
    constructor(_element: ElementRef);
    changeClicking(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
