import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare const CHECKBOX_VAL_ACCESSOR: any;
export declare class CheckboxComponent implements OnInit, ControlValueAccessor {
    _prefixCls: string;
    _checked: boolean;
    _disabled: boolean;
    disabled: boolean;
    checked: boolean;
    indeterminate: boolean;
    id?: string;
    name?: string;
    value?: string;
    className?: string;
    onChange: Function;
    onTouched: Function;
    onClick(e: any): void;
    handleChange(val: any): void;
    readonly _classMap: any;
    constructor();
    writeValue(val: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    ngOnInit(): void;
}
