import { ElementRef, Renderer2, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class DaterangepickerComponent implements OnInit, ControlValueAccessor {
    private _elementRef;
    private _renderer;
    nextMonth: number;
    nowMonth: Date;
    _showMonth: number;
    _showYear: number;
    _showLastYear: number;
    _showLastMonth: number;
    _showMiddleBg: any[];
    _startDate: any;
    _endDate: any;
    _shortcuts: object[];
    _customShortcuts: object[];
    _width: string;
    _result: string;
    _isRemoveBtn: boolean;
    _size: string;
    _isDatepickerHide: boolean;
    _btnType: string;
    _placeholder: string;
    onChange: any;
    onTouched: any;
    antShortcuts: object[];
    antCustomShortcuts: object[];
    isDatepickerHide: boolean;
    antploceholder: string;
    antWidth: number;
    antSize: string;
    datepickerData: any;
    datepickerDataLast: any;
    onClick(btn: Event): void;
    /**
     * 双向绑定，接收数据
     */
    writeValue(value: string): void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
    _preMonth(): void;
    _nextMonth(): void;
    _preYear(): void;
    _nextYear(): void;
    _preLastMonth(): void;
    _nextLastMonth(): void;
    _preLastYear(): void;
    _nextLastYear(): void;
    clickDay(data: any): void;
    /**
     * 鼠标移入
     */
    mouseDay(data: any): void;
    isMiddleDay(array: any, day: any): void;
    showStartAndEnd(): void;
    DateDiff(sDate1: string, sDate2: string): number;
    isEmptyObject(object: object): boolean;
    showSelected(obj: object, isMiddle?: boolean): void;
    resetDatepicker(obj: object): void;
    shortcutOption(day: number | object, tag?: string): void;
    findItemDay(obj: object, day: string): any;
    sortStartEndDay(start: object, end: object): void;
    assignStartEndDay(day: number, tag: string): void;
    remove(): void;
    init(): boolean;
    confirmBtn(): void;
    removeBtn(): void;
    enterStartAndEnd(): void;
}
